<!--
 - Created by stomczuk001 on 26.11.2020.
 -->

<!-- Activity Report -->
<template>
    <lightning-card>
    <div> For testing purpose only </div>
        <div class="slds-m-top_medium slds-m-bottom_x-large" style="min-height: 65vh">
            <div class="slds-grid slds-wrap slds-p-horizontal_xx-large">
                <div class="slds-size_1-of-3 slds-p-horizontal_medium">
                    <div class="slds-form-element__control">
                        <div class="slds-combobox_container">
                            <div class="slds-combobox slds-dropdown-trigger slds-dropdown-trigger_click slds-is-open"
                                 aria-expanded="true"
                                 aria-haspopup="listbox"
                                 role="combobox">
                                <div class="slds-combobox slds-dropdown-trigger slds-dropdown-trigger_click slds-has-focus"
                                     role="none">
                                    <lightning-input id="input"
                                                     name="userSearch"
                                                     required={searchRequired}
                                                     disabled={searchUserDisable}
                                                     label="User"
                                                     value={searchInput}
                                                     onchange={handleFormInputChange}
                                                     aria-autocomplete="list"
                                                     role="textbox"
                                                     autocomplete="off"
                                                     placeholder="Search..."
                                                     type="search"
                                    ></lightning-input>
                                </div>
                                <div class="slds-form-element__control slds-input-has-icon slds-input-has-icon slds-input-has-icon_left-right"
                                     role="none">
                                    <template for:each={globalSelectedItems} for:item="selectedItem">
                                        <span key={selectedItem.value}>
                                            <lightning-pill label={selectedItem.label}
                                                            name={selectedItem.value}
                                                            data-item={selectedItem.value}
                                                            onremove={handleRemoveRecord}>
                                                <lightning-icon icon-name={iconName}
                                                                variant="circle"
                                                                alternative-text={selectedItem.label}
                                                ></lightning-icon>
                                            </lightning-pill>
                                        </span>
                                    </template>
                                </div>
                                <template if:true={isDisplayMessage}>
                                    <div id="listbox-id-2-venu"
                                         data-key="dropdownresult"
                                         class="slds-show slds-dropdown slds-dropdown_length-with-icon-7 slds-dropdown_fluid"
                                         role="listbox">
                                        <ul class="slds-listbox slds-listbox_vertical"
                                            role="presentation">
                                            <lightning-card>{messageValue}</lightning-card>
                                        </ul>
                                    </div>
                                </template>
                                <template if:false={isDisplayMessage}>
                                    <template if:true={isDialogDisplay}>
                                        <section aria-describedby="dialog-body-id-26"
                                                 aria-label="Language Options"
                                                 class="slds-popover slds-popover_full-width"
                                                 id="popover-unique-id-02"
                                                 role="dialog">
                                            <div class="slds-popover__body slds-popover__body_small"
                                                 id="dialog-body-id-26">
                                                <fieldset class="slds-form-element">
                                                    <lightning-checkbox-group name="Checkbox Group"
                                                                              label={objectAPIName}
                                                                              options={items}
                                                                              value={value}
                                                                              onchange={handleCheckboxChange}>
                                                    </lightning-checkbox-group>
                                                </fieldset>
                                            </div>
                                            <footer class="slds-popover__footer slds-popover__footer_form">
                                                <lightning-button label="Cancel"
                                                                  title="Cancel"
                                                                  onclick={handleCancelClick}
                                                                  class="slds-m-left_x-small"
                                                ></lightning-button>
                                                <lightning-button variant="success"
                                                                  label="Done"
                                                                  title="Done"
                                                                  onclick={handleDoneClick}
                                                                  class="slds-m-left_x-small"
                                                ></lightning-button>
                                            </footer>
                                        </section>
                                    </template>
                                </template>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="slds-size_1-of-3 slds-p-horizontal_medium">
                    <lightning-input type="date"
                                     name="startDate"
                                     label="Start date:"
                                     required="true"
                                     onchange={handleFormInputChange}
                    ></lightning-input>
                </div>
                <div class="slds-size_1-of-3 slds-p-horizontal_medium">
                    <lightning-input type="date"
                                     name="endDate"
                                     label="End date:"
                                     required="true"
                                     onchange={handleFormInputChange}
                    ></lightning-input>
                </div>
            </div>
            <div class="slds-text-align_right slds-p-around_medium slds-m-left_x-small">
                <lightning-button variant="brand-outline"
                                  label="Search"
                                  title="Search"
                                  onclick={handleSearch}
                ></lightning-button>
                <lightning-button variant="brand-outline"
                                  label="Download Excel"
                                  title="Download Excel"
                                  onclick={exportToCSV}
                ></lightning-button>
            </div>
            <div class="slds-p-around_small">
                <lightning-datatable key-field="id"
                                     data={data}
                                     columns={columns}
                                     hide-checkbox-column="true"
                                     min-column-width="270"
                ></lightning-datatable>
            </div>
        </div>
        <div if:true={isLoading}>
            <lightning-spinner
                alternative-text='Loading...'
                size='large'>
            </lightning-spinner>
        </div>
    </lightning-card>
</template>